
#version 330 core
in vec2 texCoord;
in vec4 vertexFragColor;
out vec4 fragColor;


uniform sampler2D texture0;
uniform float tim3 = 21.0;
uniform float speedX = -2;
uniform float speedY = 1.5;
uniform float video = 0.0;
uniform float value1 = 1.0;
uniform float value2 = 0.5;
uniform float value3 = 2.0;
uniform float value4 = 2.0;
uniform float contrast = 0.025;
uniform float alpha = 1.0;
uniform vec3 colorr = vec3(1);
void main()
{
	vec2 coordfuck = texCoord;
	coordfuck.x=coordfuck.x*.2;
      vec4 color2=texture(texture0,coordfuck.xy);
	  
	  vec3 color3=normalize(colorr);
	 
	  vec4 color4=vec4(color3.r,color3.g,color3.b,1.0);
	  color2.g=color2.r;
	  color2.b=color2.r;
	  color2.a=color2.r;
	  fragColor=color2*color4;
	  
 
}